//Serial In Teensy 3 = Pin 0
#define SERIALPORT Serial1

byte statusByte;
byte dataByte1;
byte dataByte2;

void setup(){
  pinMode(13, OUTPUT);
  pinMode(14, OUTPUT);
  digitalWrite(13, LOW); //LED
  digitalWrite(14, LOW); //Monotron -> Gate
  SERIALPORT.begin(31250);
}

void loop(){
  empfangeMIDI();
  delay(10);
  digitalWrite(13, LOW);
}

void empfangeMIDI(){
  do {
    if (SERIALPORT.available()){
      statusByte = SERIALPORT.read();
      dataByte1 = SERIALPORT.read();
      dataByte2 = SERIALPORT.read();

      if (statusByte == 144 && dataByte2 >= 1) {
        digitalWrite(13,HIGH);
        digitalWrite(14,HIGH);
      }

      if (statusByte == 144 && dataByte2 == 0) {
        digitalWrite(14,LOW);
      }
      if (statusByte == 128) {
        digitalWrite(14,LOW);
      }
    }
  }
  while (SERIALPORT.available() > 2);
}
